﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.Rtc.Collaboration;

namespace UCMACellularWS
{
    /// <summary>
    /// Configuration settings for the platform
    /// </summary>
    public class PubSubPlatFormConfiguration
    {
        public string ApplicationUserAgent { get; set; }
        public string OcsServerFqdn { get; set; }
        public int OcsServerTlsPort { get; set; }
        public string SmtpServer { get; set; }
        public int SmtpPort { get; set; }

        public string liveAccountID { get; set; }
        public string liveAccountPwd { get; set; }
        public string clientIP { get; set; }
        public int tokenDuration { get; set; }

        public string BotUri{get; set;}
        public List<TargetUserConfiguration> TargetUsers { get; set; }
    }

    

    /// <summary>
    /// Configuration settings for each Target user in config file
    /// </summary>
    public class TargetUserConfiguration
    {
        public UserEndpoint EndPoint{get;set;}
        public string Uri { get; set; }
        public bool IsAway { get; set; }
        public string SMSAddress { get; set; }
    }

    /// <summary>
    /// GPS Latitude and Longitude to be published
    /// </summary>
    public class GPSLocation
    {
        public string Latitude { get; set; }
        public string Longitude { get; set; }
    }

    
}
